ENT.Type = "anim"
ENT.Base = "base_entity"
ENT.RenderGroup = RENDERGROUP_BOTH
ENT.Spawnable = false
ENT.PrintName = "Blech"
ENT.Category = "Metherstellung"
ENT.Model = Model("models/zerochain/zmlab/zmlab_frezzertray.mdl")

function ENT:SetupDataTables()
	self:NetworkVar("Entity", 0, "owning_ent")
	self:NetworkVar("Float", 0, "InBucket")
	self:NetworkVar("Float", 1, "FreezingProgress")

	if SERVER then
		self:SetInBucket(0)
		self:SetFreezingProgress(0)
	end
end

function ENT:PhysgunPickup(ply)
	return ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply:IsAdmin()
end